## ESpellEntry ESpellEntry |

## Functions

GtkWidget * | e_spell_entry_new ()
void | e_spell_entry_set_languages ()
gboolean | e_spell_entry_get_checking_enabled ()
void | e_spell_entry_set_checking_enabled ()

## Properties

gboolean | checking-enabled | Read / Write

## Types and Values

struct | ESpellEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkEntry
                    ╰── ESpellEntry

## Implemented Interfaces

ESpellEntry implements AtkImplementorIface, GtkBuildable, GtkEditable, GtkCellEditable and EExtensible.

## Description

## Functions

### e_spell_entry_new ()

    GtkWidget *
    e_spell_entry_new (void);

### e_spell_entry_set_languages ()

    void
    e_spell_entry_set_languages (ESpellEntry *spell_entry,
                                 GList *languages);

### e_spell_entry_get_checking_enabled ()

    gboolean
    e_spell_entry_get_checking_enabled (ESpellEntry *spell_entry);

### e_spell_entry_set_checking_enabled ()

    void
    e_spell_entry_set_checking_enabled (ESpellEntry *spell_entry,
                                        gboolean enable_checking);

## Types and Values

### struct ESpellEntry

    struct ESpellEntry;

## Property Details

### The `“checking-enabled”` property

      “checking-enabled”         gboolean

Spell Checking is Enabled.

Flags: Read / Write

Default value: TRUE